# Enable LTO
%global optflags        %{optflags} -flto
%global build_ldflags   %{build_ldflags} -flto

Name:           xlunch
Version:        4.5.3
Release:        7%{?dist}
Summary:        Graphical app launcher for X with minimal dependencies

License:        GPLv3+
URL:            http://xlunch.org
Source0:        https://github.com/Tomas-M/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-fix-genentries.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(x11)
Requires:       hicolor-icon-theme
%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:     abattis-cantarell-fonts
%endif

%description
Graphical app launcher for X, using pure Xlib and Imlib2.

%prep
%autosetup
%if 0%{?fedora} || 0%{?rhel} >= 8
# Change default font to Cantarell or DejaVu otherwise it won't run
sed -i 's!# font: OpenSans-Regular/10!font: %{_datadir}/fonts/cantarell/Cantarell-Regular.otf/11!'          default.conf
sed -i 's!# promptfont: OpenSans-Regular/10!font: %{_datadir}/fonts/cantarell/Cantarell-Regular.otf/11!'    default.conf
%else
sed -i 's!# font: OpenSans-Regular/10!font: %{_datadir}/fonts/dejavu/DejaVuSans.ttf/11!'                    default.conf
sed -i 's!# promptfont: OpenSans-Regular/10!font: %{_datadir}/fonts/dejavu/DejaVuSans.ttf/11!'              default.conf
%endif
# Tweak icon padding
sed -i 's!iconpadding: 10!iconpadding: 25!' default.conf
sed -i 's!textpadding: 10!textpadding: 5!'  default.conf

%build
%if 0%{?fedora} || 0%{?rhel} >= 8
%set_build_flags
%endif
%make_build

%install
%make_install

%check
# "Error generating new entries"" for key "Exec" in group "Desktop Entry" contains a reserved character '$' outside of a quote
# error: required key "Type" in group "Desktop Entry" is not present
# https://github.com/Tomas-M/xlunch/issues/109
#desktop-file-validate %%{buildroot}%%{_datadir}/applications/genentries.desktop

%post
genentries --path %{_datadir}/%{name}/svgicons/ > %{_sysconfdir}/%{name}/entries.dsv

%files
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/%{name}
%{_bindir}/genentries
%{_bindir}/updateentries
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_sysconfdir}/%{name}
%ghost %{_datadir}/%{name}
%ghost %{_sysconfdir}/%{name}/entries.dsv

%changelog
* Tue Sep 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.3-7
- Update to 4.5.3

* Fri Jun 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.1-1
- Update to 4.5.1

* Fri Feb 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.1.1-1
- Initial package release
